Bug 131371 - Cannot build kernel from kernel-source
Cannot build kernel from kernel-source
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-31 13:04 EDT by Matthieu Pupat
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthieu Pupat 2004-08-31 13:04:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.2)
Gecko/20040803

Description of problem:
When I build the kernel (issuing make), I get en error message.



Version-Release number of selected component (if applicable):
kernel-sourcecode-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. install kernel-sourcecode
2. cd /usr/linux/linux-2.6.8-1.521
3. make_modules
4. make
    

Actual Results:    
  CHK     include/linux/compile.h
  GEN     .version
  CHK     include/linux/compile.h
  UPD     include/linux/compile.h
  CC      init/version.o
  LD      init/built-in.o
  LD      .tmp_vmlinux1
net/built-in.o(.text+0x5a775): dans la fonction � tux_chroot �:
: undefined reference to `chroot'
net/built-in.o(.text+0x5a785): dans la fonction � tux_chroot �:
: undefined reference to `chdir'
net/built-in.o(.text+0x5a9e4): dans la fonction � user_req_startup �:
: undefined reference to `tux_module'
net/built-in.o(.text+0x5ab40): dans la fonction � user_req_shutdown �:
: undefined reference to `tux_module'
net/built-in.o(.text+0x5af64): dans la fonction � user_req_start_thread �:
: undefined reference to `tux_module'
net/built-in.o(.text+0x5b1ae): dans la fonction � user_req_stop_thread �:
: undefined reference to `tux_module'
net/built-in.o(.text+0x5de1a): dans la fonction � handle_cgi_reply �:
: undefined reference to `read'
net/built-in.o(.text+0x5e76c): dans la fonction � exec_external_cgi �:
: undefined reference to `write'
make: *** [.tmp_vmlinux1] Erreur 1


Expected Results:  Complete build of the kernel

Additional info:
Comment 1 Matthieu Pupat 2004-09-29 13:04:03 EDT
Any piece of news about this bug ?
Comment 2 Arjan van de Ven 2004-09-29 13:05:51 EDT
I suggest disabling tux in your config
Comment 3 Matthieu Pupat 2004-09-29 15:10:30 EDT
This does compile now.

Note You need to log in before you can comment on or make changes to this bug.